Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.audio
Interface AudioSpec

All Known Subinterfaces:
  ExtendedAudioSpec, MusicPart, MusicScore

All Known Implementing Classes:
  MoviePlayer, MoviePresenter, QTPlayer

public interface AudioSpec

AudioSpec provides a standard interface that all audio capable objects can support.

Volume values for objects that implement this interface are 0 for silence, 1.0F for unity gain (generally maximum volume for a given object). Values over 1.0 are not guaranteed to result in louder volumes; some objects support overdriving the volume, some do not. If an object does not support a value greater than 1, then it will set the volume to its maximum level.

An object may have a volume level but because it is muted you will not hear anything.

Unmuting an AudioSpec object will set it to its current volume setting. If an object is muted and its volume is changed this will not make the audio object audible, it has to be explicitly unmuted. This is inline with the way most mixing consoles work.

Method Summary
`float` | `getVolume()` Returns the volume setting (0 is silent, 1 is unity gain)
`boolean` | `isMuted()` Returns the current mute status
`void` | `setMuted(boolean flag)` Allows the muting of the specific channel.
`void` | `setVolume(float val)` Sets the volume.

Method Detail

### getVolume

    public float getVolume()
                    throws QTException

  Returns the volume setting (0 is silent, 1 is unity gain)

### setVolume

    public void setVolume(float val)
                   throws QTException

  Sets the volume.

### isMuted

    public boolean isMuted()
                    throws QTException

  Returns the current mute status

### setMuted

    public void setMuted(boolean flag)
                  throws QTException

  Allows the muting of the specific channel. When unmuted the AudioSpec object will return to its current volume setting.
  Parameters:
    `flag` - turn muting on - true or off - false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD